Name:           python-werk24
Version:        2.0.6
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        AI-powered platform for extracting and analyzing data from technical drawings / CAD drawings to enhance manufacturing workflows.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://werk24.io
Source:         %{pypi_source werk24}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'werk24' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-werk24
Summary:        %{summary}

%description -n python3-werk24 %_description


%prep
%autosetup -p1 -n werk24-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-werk24 -f %{pyproject_files}


%changelog
%autochangelog